libzmf::BMIParser Class Reference documentation

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libzmf::BMIParser Class Reference

`#include <BMIParser.h>`

## Classes
struct | ColorBitmapHeader

## Public Member Functions
| BMIParser (const RVNGInputStreamPtr &input, librevenge::RVNGDrawingInterface *painter=0)
bool | parse ()
| Parse the bitmap and output it as a drawing doc with an inserted image.
Image | readImage ()
| Parse the bitmap and convert it to PNG.
const BMIHeader & | header () const

## Private Member Functions
| BMIParser (const BMIParser &other)=delete
BMIParser & | operator= (const BMIParser &other)=delete
ColorBitmap | readColorBitmap (const ColorBitmapHeader &header)
std::vector< uint8_t > | readData (unsigned endOffset)
std::vector< Color > | readColorPalette (unsigned colorDepth)
bool | reconcileDimensions (ColorBitmapHeader &colorHeader, ColorBitmapHeader &transparencyHeader)

## Private Attributes
const RVNGInputStreamPtr | m_input
librevenge::RVNGDrawingInterface * | m_painter
BMIHeader | m_header

## Constructor & Destructor Documentation

## ◆ BMIParser() [1/2]

libzmf::BMIParser::BMIParser | ( | const BMIParser & | other | ) |
| privatedelete

Referenced by BMIParser(), and operator=().

## ◆ BMIParser() [2/2]

libzmf::BMIParser::BMIParser | ( | const RVNGInputStreamPtr & | input,
|  | librevenge::RVNGDrawingInterface * | painter = 0 )
| explicit

## Member Function Documentation

## ◆ header()

const BMIHeader & libzmf::BMIParser::header | ( |  | ) | const

Referenced by operator=(), libzmf::BMIParser::ColorBitmapHeader::parse(), and libzmf::ZMF4Parser::readBitmap().

## ◆ operator=()

BMIParser & libzmf::BMIParser::operator= | ( | const BMIParser & | other | ) |
| privatedelete

## ◆ parse()

bool libzmf::BMIParser::parse | ( |  | ) |

Parse the bitmap and output it as a drawing doc with an inserted image.

## ◆ readColorBitmap()

ColorBitmap libzmf::BMIParser::readColorBitmap | ( | const ColorBitmapHeader & | header | ) |
| private

Referenced by readImage().

## ◆ readColorPalette()

std::vector< Color > libzmf::BMIParser::readColorPalette | ( | unsigned | colorDepth | ) |
| private

Referenced by readColorBitmap().

## ◆ readData()

std::vector< uint8_t > libzmf::BMIParser::readData | ( | unsigned | endOffset | ) |
| private

Referenced by readColorBitmap().

## ◆ readImage()

Image libzmf::BMIParser::readImage | ( |  | ) |

Parse the bitmap and convert it to PNG.

Referenced by parse(), and libzmf::ZMF4Parser::readBitmap().

## ◆ reconcileDimensions()

bool libzmf::BMIParser::reconcileDimensions | ( | BMIParser::ColorBitmapHeader & | colorHeader,
|  | BMIParser::ColorBitmapHeader & | transparencyHeader )
| private

Referenced by readImage().

## Member Data Documentation

## ◆ m_header

BMIHeader libzmf::BMIParser::m_header
| private

Referenced by BMIParser(), header(), parse(), readImage(), and reconcileDimensions().

## ◆ m_input

const RVNGInputStreamPtr libzmf::BMIParser::m_input
| private

Referenced by BMIParser(), readColorBitmap(), readColorPalette(), readData(), and readImage().

## ◆ m_painter

librevenge::RVNGDrawingInterface* libzmf::BMIParser::m_painter
| private

Referenced by BMIParser(), and parse().

The documentation for this class was generated from the following files:

- BMIParser.h
- BMIParser.cpp